/**
 * To convert the path array to a string for the listener keys
 * Use a crazy separator. If the separator was a '.', and the user had a prop with a dot in it,
 * then it could cause false matches in the updated logic.
 */
const PROP_PATH_SEP = '~~~';
const PATH = Symbol('PATH');
const ORIGINAL = Symbol('ORIGINAL');

export { ORIGINAL, PATH, PROP_PATH_SEP };
