/**
 * Any state shared between modules goes here
 * For internal use, not for consumers
 */
const state = {
    currentComponent: null,
    isBatchUpdating: false,
    isInBrowser: typeof window !== 'undefined',
    listeners: new Map(),
    manualListeners: [],
    nextVersionMap: new WeakMap(),
    proxyIsMuted: false,
    store: {},
};

export default state;
